Download it now!
Bug 88782 - EDITING spreadsheet: autofill using fill handle inserts incorrect data when used with merged cells
Summary: EDITING spreadsheet: autofill using fill handle inserts incorrect data when u...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.7.2 release
Hardware: All All
: medium normal
Assignee: Attila Szűcs
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Calc-Merge-Split AutoFill
  Show dependency treegraph
 
Reported: 2015-01-24 21:27 UTC by Jens
Modified: 2020-10-20 14:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
test document to reproduce the bug (25.56 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-01-24 21:27 UTC, Jens
Details
testfile demonstrate planned fix, compared with excel (23.88 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-10-02 06:34 UTC, Attila Szűcs
Details
testfile demonstrate planned fix, compared with excel (xlsx) (9.76 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-10-02 06:35 UTC, Attila Szűcs
Details
screenshot of planned fix vs excel (79.24 KB, image/png)
2020-10-02 06:48 UTC, Attila Szűcs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jens 2015-01-24 21:27:39 UTC
Created attachment 112783 [details]
test document to reproduce the bug

This was observed on Libreoffice 4.2.5 Linux (Ubuntu 14.04 stock installation), 4.3.5-rc2 Linux (libreoffice PPA) and 4.2.4.2 OS X (install from libreoffice website).

See attached spreadsheet.

Instructions:
Select 2015 and 2016, and try to use the fill handle to autofill to the right until 2020.

Result:
Instead of copying the formatting - two cells joined for each year – and increasing the years, 2016 is repeated and then each year is inserted twice into every other cell.

This happens with other combinations of merged/joined cells as well.
Comment 1 m.a.riosv 2015-01-24 21:40:33 UTC
Hi @Jens, thanks for reporting.

Reproducible:
Win7x64
Version: 4.4.0.3
Build ID: de093506bcdc5fafd9023ee680b8c60e3e0645d7

Maybe the same problem than reported https://bugs.documentfoundation.org/show_bug.cgi?id=86143
Comment 2 Jens 2015-01-24 21:47:30 UTC
Similar, but not identical. There are actually two bugs:

1. (#86143) complains about autofill results of merged cells not being merged too (even with workaround)

2. I also :) complain about the autofill results. If I select two cells I would expect the increment between these cells to be used for autofill increments, but Calc seems to do something different.
Comment 3 Jens 2015-01-25 11:36:08 UTC
PS: If there's anything else I can do to help, please tell me!

(And don't take "complain" in the previous comment too seriously.. I'm a heavy LO user and very much interested in getting as many bugs fixed as possible.)
Comment 4 Cor Nouws 2015-02-03 09:54:29 UTC
(In reply to Jens from comment #3)

> (And don't take "complain" in the previous comment too seriously.. I'm a
> heavy LO user and very much interested in getting as many bugs fixed as
> possible.)

;)

Do you know if this worked correctly before, Jens?
Comment 5 QA Administrators 2016-02-21 08:34:49 UTC Comment hidden (obsolete)
Comment 6 Jens 2016-02-21 18:47:23 UTC
Hello,
retested with LibreOffice 5.1.1.1, Build-ID: c43cb650e9c145b181321ea547d38296db70f36e
CPU Threads: 8; OS Version: Mac OS X 10.11.3; UI Render: GL; 
Locale: de-DE (de.UTF-8)

Result: Same bug behaviour as before. Not resolved. Sorry .. :)
Comment 7 Jens 2016-02-21 19:03:38 UTC
Bug is also present on LibreOffice 3.3.0.4 (Mac).
Comment 8 QA Administrators 2017-03-06 15:01:01 UTC Comment hidden (obsolete)
Comment 9 m.a.riosv 2017-03-06 23:27:07 UTC
Still with
Version: 5.3.1.1 (x64)
Build ID: 72fee18f394a980128dc111963f2eefb05998eeb
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
Locale: es-ES (es_ES); Calc: group
Comment 10 QA Administrators 2018-10-29 03:57:41 UTC Comment hidden (obsolete)
Comment 11 Jens 2019-07-06 20:42:33 UTC
Still present in this version:

Version: 6.2.4.2
Build-ID: 1:6.2.4-0ubuntu0.18.04.1~lo1
CPU-Threads: 4; BS: Linux 4.15; UI-Render: Standard; VCL: kde5; 
Gebietsschema: de-DE (de_DE.UTF-8); UI-Sprache: de-DE
Calc: threaded
Comment 12 Attila Szűcs 2020-10-02 06:34:58 UTC
Created attachment 166019 [details]
testfile demonstrate planned fix, compared with excel
Comment 13 Attila Szűcs 2020-10-02 06:35:48 UTC
Created attachment 166020 [details]
testfile demonstrate planned fix, compared with excel (xlsx)
Comment 14 Attila Szűcs 2020-10-02 06:48:14 UTC
Created attachment 166021 [details]
screenshot of planned fix vs excel
Comment 15 Attila Szűcs 2020-10-02 07:03:18 UTC
A suggested fix is uploaded to gerrit:
https://gerrit.libreoffice.org/c/core/+/103765

LO will handle these cases a bit better as excel do.
The uploaded test files, and screenshot, demonstrate this.
Comment 16 Commit Notification 2020-10-05 09:23:03 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/03dfa09886b6fd0ebda7abe7d5e142da172e8cc2

tdf#88782 sc: autofill number sequences in merged cells

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Roman Kuznetsov 2020-10-07 14:02:05 UTC
verified in

Version: 7.1.0.0.alpha0+ (x64)
Build ID: a883002d8e2fd77f80c43b7b2e6ac329d83d929d
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: threaded

hmmm, Attila will you plan to do something else here or we can close it as FIXED?
Comment 18 Attila Szűcs 2020-10-07 18:09:54 UTC
thx Roman, i forgot to close the ticket.

I plan to do some follow-up commits for different value types like date.. but they will be in separate bug tickets.